org.apache.bsf.util

## Class StringUtils

- java.lang.Object
- - org.apache.bsf.util.StringUtils

-     public class StringUtils
      extends java.lang.Object

  Deals with strings (probably need to elaborate some more).
  Author:
    Matthew J. Duftler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `lineSeparator`
    `static java.lang.String` | `lineSeparatorStr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `classNameToVarName(java.lang.String className)`
    `static java.lang.String` | `cleanString(java.lang.String str)`
    `static java.lang.String` | `getChars(int numberOfChars, char theChar)` Get a string consisting of `numberOfChars` theChars.
    `static java.lang.String` | `getClassName(java.lang.Class targetClass)`
    `static java.lang.String` | `getCommaListFromVector(java.util.Vector sourceVector)`
    `static java.io.Reader` | `getContentAsReader(java.net.URL url)`
    `static java.lang.String` | `getContentAsString(java.net.URL url)`
    `static java.lang.String` | `getSafeString(java.lang.String scriptStr)`
    `static java.net.URL` | `getURL(java.net.URL contextURL, java.lang.String spec)`
    `static java.lang.String` | `getValidIdentifierName(java.lang.String identifierName)`
    `static boolean` | `isValidIdentifierName(java.lang.String identifierName)`
    `static boolean` | `isValidPackageName(java.lang.String packageName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lineSeparator

          public static final java.lang.String lineSeparator

    - #### lineSeparatorStr

          public static final java.lang.String lineSeparatorStr

  - ### Constructor Detail

    - #### StringUtils

          public StringUtils()

  - ### Method Detail

    - #### classNameToVarName

          public static java.lang.String classNameToVarName(java.lang.String className)

    - #### cleanString

          public static java.lang.String cleanString(java.lang.String str)

    - #### getChars

          public static java.lang.String getChars(int numberOfChars,
                                                  char theChar)

      Get a string consisting of `numberOfChars` theChars.
      Returns:
        a string consisting of `numberOfChars` theChars.

    - #### getClassName

          public static java.lang.String getClassName(java.lang.Class targetClass)

    - #### getCommaListFromVector

          public static java.lang.String getCommaListFromVector(java.util.Vector sourceVector)

    - #### getContentAsReader

          public static java.io.Reader getContentAsReader(java.net.URL url)
                                                   throws java.lang.SecurityException,
                                                          java.lang.IllegalArgumentException,
                                                          java.io.IOException

      Throws:
        `java.lang.SecurityException`
        `java.lang.IllegalArgumentException`
        `java.io.IOException`

    - #### getContentAsString

          public static java.lang.String getContentAsString(java.net.URL url)
                                                     throws java.lang.SecurityException,
                                                            java.lang.IllegalArgumentException,
                                                            java.io.IOException

      Throws:
        `java.lang.SecurityException`
        `java.lang.IllegalArgumentException`
        `java.io.IOException`

    - #### getSafeString

          public static java.lang.String getSafeString(java.lang.String scriptStr)

    - #### getURL

          public static java.net.URL getURL(java.net.URL contextURL,
                                            java.lang.String spec)
                                     throws java.net.MalformedURLException

      Throws:
        `java.net.MalformedURLException`

    - #### getValidIdentifierName

          public static java.lang.String getValidIdentifierName(java.lang.String identifierName)

    - #### isValidIdentifierName

          public static boolean isValidIdentifierName(java.lang.String identifierName)

    - #### isValidPackageName

          public static boolean isValidPackageName(java.lang.String packageName)